namespace IWS5.Importer.Abstractions.Interfaces;

public interface IFileMover
{
    IReadOnlyList<(string filePath, string reason)> GetUnsupportedFilesFor(string folderPath);
    void MoveInvalidFilesToError(string folderPath, SearchOption searchOption = SearchOption.TopDirectoryOnly);
    void MoveFilesToError(List<string> sourceFilePaths);
    void MoveFileToProcessed(string sourceFilePath, string destinationPath);
}
